#include <iostream>
#include <math.h>

using namespace std;

int main(){
	
	long long a, b, c, d, max, broj1, broj2, broj3,i=0, i1=0, i2=0, i3=0;
	
	long long max1, max2, max3, max4, max5, max6;
	
	cin >> a >> b >> c;
	
	broj1=a;
	while(broj1>0){
		broj1=broj1/10;
		i1++;
	}
	
	broj2=b;
	while(broj2>0){
		broj2=broj2/10;
		i2++;
	}
	
	broj3=c;
	while(broj3>0){
		broj3=broj3/10;
		i3++;
	}
	
	
	
	max1=a*pow(10,(i3+i2))+b*pow(10,i3)+c;
	max2=a*pow(10,(i3+i2))+c*pow(10,i2)+b;
	max3=b*pow(10,(i1+i3))+a*pow(10,i3)+c;
	max4=b*pow(10,(i1+i3))+c*pow(10,i1)+a;
	max5=c*pow(10,(i1+i2))+a*pow(10,i2)+b;
	max6=c*pow(10,(i1+i2))+b*pow(10,i1)+a;
	
	max=max1;
	if(max2 > max){
		max=max2;
	}
	if(max3 > max){
		max=max3;
	}
	if(max4 > max){
		max=max4;
	}
	if(max5 > max){
		max=max5;
	}
	if(max6 > max){
		max=max6;
	}
	
	
	cout<<max;
		
	return 0;
}